Page MenuHomePhabricator

Property:P3188 Nobel prize ID new URL?
Closed, ResolvedPublic

Description

Status update 2020-03:

  • a new Wikidata property 8024 is created and populated
  • Next step is to try get Nobelprize people to use this id for links to avoid linkroot

Status update 2019-10:

Status update 2018-10: T202034: Nobel data for 2017 is missing is fixed still a mess with pages and Property 3188 in WIkidata

see

see also


The following was error report at https://www.nobelprize.org/contact

Today in Wikidata we have the following pattern for Property:P3188 NobelPrizeID

https://www.nobelprize.org/nobel_prizes/$1-facts.html

eg. Wikidata object Q36740
has NobelPrizeID = peace/laureates/1991/kyi

==> formatted URL
https://www.nobelprize.org/nobel_prizes/peace/laureates/1991/kyi-facts.html
that is redirected to
https://www.nobelprize.org/prizes/peace/1991/kyi/facts/

Question A: could we change to formatted URL
https://www.nobelprize.org/prizes/$1/facts

Question B: Have you also changed the part we call NobelPrizeID?
see list with 915 names

Another issue

FYI: T202034: Nobel data for 2017 is missing
last week we did set up a federated search Wikidata Nobel Data see T200668: Set up Nobel Data as federated search with Wikidata

It looks like data for 2017 is missing

Question C: do you plan to fix that?

Regards
Magnus Sälgö
salgo60@msn.com
0705937579

Event Timeline

Salgo60 created this task.Sep 9 2018, 6:10 PM
Salgo60 updated the task description. (Show Details)Sep 9 2018, 6:16 PM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Oct 7 2018, 6:31 AM
Salgo60 updated the task description. (Show Details)Oct 7 2018, 8:46 AM
Salgo60 updated the task description. (Show Details)Oct 7 2018, 8:55 AM
Salgo60 updated the task description. (Show Details)Oct 7 2018, 9:10 AM
Salgo60 updated the task description. (Show Details)Oct 7 2018, 9:20 AM
Salgo60 updated the task description. (Show Details)Oct 7 2018, 10:22 AM

Sent a new question on https://www.nobelprize.org/contact

Thanks for updating with 2017 and 2018 data

https://phabricator.wikimedia.org/T202034

I sent a question Sun, Sep 9, 8:10 PM about your new webdesign and to get the unique pages of every laureate and have received no answers...

see https://phabricator.wikimedia.org/T203915

I can see that you have an unique number for ever laureate 

example SPARQL query
https://goo.gl/9kq9Fm

Example Nadia Murad has 967

what would be good is if we could use that number as an argument to find her fact page 
https://www.nobelprize.org/prizes/peace/2018/murad/facts/

before Wikidata had control of those pages but now you have redesigned the web and have redirects for some old URLs and not for others.....

Some suggestions:
1) Could we get a list of the correct web pages
2) Could we get an url using just the number as an parameter and you did the redirect ==> less maintenance
3) Could the SPARQL interface we use also contain the possibility to retrieve the fact page

Regards
Magnus Sälgö
salgo60@msn.com
Stockholm, Sweden
070-5937579
Salgo60 changed the task status from Open to Stalled.Dec 30 2018, 8:47 AM
Salgo60 moved this task from In progress to Backlog on the Magnus Sälgö board.May 10 2019, 10:50 AM
Salgo60 added a comment.EditedOct 18 2019, 2:27 AM

comment Talk:Q285062 the best soluion I think is

  1. store the Nobelprizewinne id in Wikidata
  2. every prizewinner has a WEB landing page just using this ID as the argument

e.g. something like a formatting string https://www.nobelprize.org/nobel_prizes/$1-facts.html
and $1 is the same id as they use in the API e.g. Q8016 has 624 and that something like https://www.nobelprize.org/nobel_prizes/624-facts.html will be a working URL to Churchills landing page at Nobelprize.org

tweeted this page to Hans Mehlin working at Nobel

Salgo60 updated the task description. (Show Details)Oct 18 2019, 2:33 AM
Salgo60 updated the task description. (Show Details)Oct 19 2019, 3:09 PM
Salgo60 updated the task description. (Show Details)
Salgo60 closed this task as Resolved.EditedMar 31 2020, 5:07 AM
Salgo60 claimed this task.
Salgo60 updated the task description. (Show Details)

New Wikidata property create Property P8024
Next step is getting better way of creating links to web pages

Salgo60 moved this task from Backlog to Done on the Magnus Sälgö board.May 20 2020, 12:10 AM